Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List Product Drafts

Retrieves a paginated list of all product drafts for the current app, including draft metadata, changeset summaries, and scheduled publication times.

GET/api/v1/{team_slug}/{app_slug}/drafts
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
pageinteger

Page number

default: 1
per-pageinteger

Items per page

default: 20
Responses
200

Drafts retrieved successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraft[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraft
app_idstring
changesetgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraftChangeset
Show properties
attributesstring[]
categoriesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.DraftCategoryRef[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftCategoryRef
idstring
is_main_categoryboolean
orderinteger
collectionsstring[]
descriptionstring
html_descriptionstring
html_short_descriptionstring
imagesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.DraftImageRef[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftImageRef
idstring
priorityinteger
meta_descriptionstring
meta_titlestring
namestring
short_descriptionstring
tagsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.DraftTagRef[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftTagRef
keystring
orderinteger
created_atstring
idstring
product_idstring
publish_atstring | null
updated_atstring | null
successboolean
totalinteger
total_pagesinteger
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/drafts' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "app_id": "string",
      "changeset": {
        "attributes": [
          "string"
        ],
        "categories": [
          {
            "id": "string",
            "is_main_category": true,
            "order": 0
          }
        ],
        "collections": [
          "string"
        ],
        "description": "string",
        "html_description": "string",
        "html_short_description": "string",
        "images": [
          {
            "id": "string",
            "priority": 0
          }
        ],
        "meta_description": "string",
        "meta_title": "string",
        "name": "string",
        "short_description": "string",
        "tags": [
          {
            "key": "string",
            "order": 0
          }
        ]
      },
      "created_at": "string",
      "id": "string",
      "product_id": "string",
      "publish_at": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}